Mail archive
alpine-devel

[alpine-devel] [PATCH] testing/i3lock: new aport

From: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
Date: Thu, 28 Aug 2014 15:02:54 +0000

http://i3wm.org/i3lock/
An improved screenlocker based upon XCB and PAM
---
 testing/i3lock/APKBUILD | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)
 create mode 100644 testing/i3lock/APKBUILD
diff --git a/testing/i3lock/APKBUILD b/testing/i3lock/APKBUILD
new file mode 100644
index 0000000..d6be178
--- /dev/null
+++ b/testing/i3lock/APKBUILD
_at_@ -0,0 +1,42 @@
+# Contributor: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
+# Maintainer: Johannes Matheis <jomat+alpinebuild_at_jmt.gr>
+pkgname=i3lock
+pkgver=2.6
+pkgrel=0
+pkgdesc="An improved screenlocker based upon XCB and PAM"
+url="http://i3wm.org/i3lock/"
+arch="all"
+license="MIT"
+depends=""
+depends_dev="libev-dev cairo-dev linux-pam-dev libxkbcommon-dev xcb-util-image-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="$url/$pkgname-$pkgver.tar.bz2"   # cflags.patch"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+   local i
+   cd "$_builddir"
+   update_config_sub || return 1
+
+   # Fix ticket FS#31544, sed line taken from gentoo
+   sed -i -e 's:login:base-auth:g' i3lock.pam
+}
+
+build() {
+   cd "$_builddir"
+   make || return 1
+}
+
+package() {
+   cd "$_builddir"
+   make DESTDIR="$pkgdir" install || return 1
+   rm -f "$pkgdir"/usr/lib/*.la
+   install -m755 -d "${pkgdir}/usr/share/man/man1/"
+   install -m644 ${pkgname}.1 "${pkgdir}/usr/share/man/man1/"
+}
+
+md5sums="46870f347f474a894ec8044717b4d925  i3lock-2.6.tar.bz2"
+sha256sums="c02d899fefc66bc36e47b305251363861400541f3925a21a94c66cee9055402a  i3lock-2.6.tar.bz2"
+sha512sums="ccaf336b4abd65df24ba37613ba46e129d6e4c42cb8c0a05cc8d9cc0815f0f9f03613230b1cdbb5d16d6903a57a04f2c6b0fc168881ae03000aa170716fedf4a  i3lock-2.6.tar.bz2"
-- 
2.0.0
---
Unsubscribe:  alpine-devel+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-devel+help_at_lists.alpinelinux.org
---
Received on Thu Aug 28 2014 - 15:02:54 GMT